/****************************************************************************************
	MrMacintosh.r
	
	Copyright  2001 Red Shed Software. All rights reserved.
	by Jonathan 'Wolf' Rentzsch (jon@redshed.net)
	
	Commenter	Date				Comment
	---------	-----------------	-----------------------------------------------------
	wolf		Fri, Jun 22, 2001	Created.
	
	************************************************************************************/

#include	"MrMacintosh.h"
#include	"MrMacintosh.vers"
#include	"Flour.h"
#include	"wolf.h"

resource	'Flou'	(128) {
	kMenuBar,	//	MBAR resource ID.
	kAppleMenu,	//	MENU for Apple menu.
	0,			//	MENU for Font menu.
};

resource 'MBAR' (kMenuBar) {
	{ kAppleMenu, kFileMenu, kEditMenu }
};

resource 'MENU' (kAppleMenu) {
	kAppleMenu,
	textMenuProc,
	0xFFFFFFFF,
	enabled,
	apple, {
		"About " kProjectName "...",	noIcon, noKey, nomark, plain;
		"-",							noIcon, noKey, noMark, plain;
	}
};

resource 'MENU' (kFileMenu) {
	kFileMenu,
	textMenuProc,
	0xFFFFFFFF,
	enabled,
	"File", {
		"Quit",			noIcon, "Q", nomark, plain;
	}
};

resource 'MENU' (kEditMenu) {
	kEditMenu,
	textMenuProc,
	0xFFFFFFFF,
	enabled,
	"Edit", {
		"Undo",			noIcon, "Z", nomark, plain;
		"-",			noIcon, noKey, noMark, plain;
		"Cut",			noIcon, "X", noMark, plain;
		"Copy",			noIcon, "C", noMark, plain;
		"Paste",		noIcon, "V", noMark, plain,
		"Clear",		noIcon, noKey, noMark, plain;
		"-",			noIcon, noKey, noMark, plain;
		"Select All",	noIcon, "A", noMark, plain
	}
};

resource 'vers' (1, purgeable) {	//	this file version
	kMajorVersionBCD,
	kMinorVersionBCD,
	kStageVersionName,
	kBuildVersionBCD,
	verUS,
	kVersionCString,
	kProjectName " " kVersionCString ",  2001 Red Shed Software"
};

resource 'vers' (2, purgeable) {	//	set of files version
	kMajorVersionBCD,
	kMinorVersionBCD,
	kStageVersionName,
	kBuildVersionBCD,
	verUS,
	kVersionCString,
	"Woz!"
};